### Constructor

# Gtk.NamedAction.new

#### Declaration [src]

    GtkShortcutAction*
    gtk_named_action_new (
      const char* name
    )

#### Description [src]

Creates an action that when activated, activates the named action on the widget.

It also passes the given arguments to it.

See `gtk_widget_insert_action_group()` for how to add actions to widgets.

#### Parameters

`name` | `const char*`
| the detailed name of the action
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkNamedAction`
a new `GtkShortcutAction`
Ownership of the data is transferred to the caller